import re

def remove_non_ascii(line):
	return line.encode("ascii", "ignore").decode()

def escape_ansi(line):
    ansi_escape = re.compile(r'(?:\x1B[@-_]|[\x80-\x9F])[0-?]*[ -/]*[@-~]')
    return ansi_escape.sub('', line)

def sanitize_line(line):
	line = remove_non_ascii(line)
	line = escape_ansi(line)
	line = line.strip()
	return line
